USE [COWS]
GO
/****** Object:  StoredProcedure [dbo].[getH5FolderAssociations]    Script Date: 10/06/2020 8:59:00 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

-- ================================================================
-- Author:		Lakshmi Kadiyala
-- Create date: 6th Sep 2011
-- Description:	Returns all Orders associated with H5 Folder
-- ================================================================
--Exec [dbo].[getH5FolderAssociations_V2] 14172
ALTER PROCEDURE [dbo].[getH5FolderAssociations_V2] --44
	@H5FolderID INT 	
AS
BEGIN
SET NOCOUNT ON;

BEGIN TRY
	SELECT 
		OD.ORDR_ID, 
		OD.ORDR_CAT_ID,
		CASE WHEN (OD.CSG_LVL_ID>0) THEN 1 ELSE 0 END AS SCURD_CD,
		ISNULL(lcl.CSG_LVL_CD, '00000') AS CSG_LVL_CD,
		OD.CSG_LVL_ID,
		OD.H5_FOLDR_ID,
		ISNULL((SELECT TOP 1 at.TASK_ID
		 FROM dbo.ACT_TASK		at	WITH (NOLOCK)	
		 WHERE	od.ORDR_ID	=	at.ORDR_ID), -1) as TASK_ID,
		ISNULL((SELECT TOP 1 mt.GRP_ID
		 FROM dbo.ACT_TASK		at	WITH (NOLOCK) 
		 INNER JOIN dbo.MAP_GRP_TASK mt WITH (NOLOCK) ON mt.TASK_ID = at.TASK_ID
		 WHERE od.ORDR_ID	=	at.ORDR_ID), -1) as GRP_ID,
		ISNULL((SELECT TOP 1 mt.PRNT_PRF_ID
		 FROM dbo.ACT_TASK		at	WITH (NOLOCK) 
		 INNER JOIN dbo.MAP_PRF_TASK mt WITH (NOLOCK) ON mt.TASK_ID = at.TASK_ID
		 WHERE od.ORDR_ID	=	at.ORDR_ID), -1) as PRF_ID,
		CASE OD.ORDR_CAT_ID WHEN 2 THEN FO.FTN
							WHEN 3 THEN CONVERT(VARCHAR,VOR.VNDR_ORDR_ID)
							WHEN 6 THEN FO.FTN
							ELSE CONVERT(VARCHAR,OD.ORDR_ID)
							END AS FTN,
		FO.PROD_TYPE_CD, 
		CASE OD.ORDR_CAT_ID WHEN 1  THEN PT.PROD_TYPE_DES
							WHEN 2	THEN FP.FSA_PROD_TYPE_DES
							WHEN 4	THEN PT.PROD_TYPE_DES
							WHEN 6 THEN FP.FSA_PROD_TYPE_DES
							ELSE 'VENDOR'
							END AS FSA_PROD_TYPE_DES,
		FO.ORDR_TYPE_CD,
		CASE OD.ORDR_CAT_ID WHEN 1 THEN OTI.ORDR_TYPE_DES
							WHEN 2 THEN OT.ORDR_TYPE_DES
							WHEN 4 THEN OTI.ORDR_TYPE_DES
							WHEN 6 THEN OT.ORDR_TYPE_DES
							ELSE 'VENDOR'
							END AS ORDR_TYPE_DES,
		ISNULL(OST.ORDR_SUB_TYPE_DES,'') AS SUB_TYPE,
		ISNULL(los.ORDR_STUS_DES,'') AS ORDR_STUS,
		FO.PRNT_FTN AS PRNT_FTN,
		ISNULL([dbo].[GetOrderTasksByGroup](OD.ORDR_ID,999),'') AS WRK_GRP_STUS
	FROM dbo.ORDR OD WITH (NOLOCK)
	LEFT JOIN dbo.LK_CSG_LVL lcl WITH (NOLOCK) ON lcl.CSG_LVL_ID=OD.CSG_LVL_ID
	LEFT JOIN dbo.FSA_ORDR FO WITH (NOLOCK) ON OD.ORDR_ID = FO.ORDR_ID
	LEFT JOIN dbo.IPL_ORDR IOR WITH (NOLOCK) ON IOR.ORDR_ID = OD.ORDR_ID
	LEFT JOIN dbo.NCCO_ORDR ncco WITH (NOLOCK) ON ncco.ORDR_ID = OD.ORDR_ID
	LEFT JOIN dbo.VNDR_ORDR VOR WITH (NOLOCK) ON VOR.VNDR_ORDR_ID = OD.ORDR_ID
	LEFT JOIN dbo.LK_FSA_PROD_TYPE FP WITH (NOLOCK) ON FO.PROD_TYPE_CD = FP.FSA_PROD_TYPE_CD
	LEFT JOIN dbo.LK_PROD_TYPE PT WITH (NOLOCK) ON ((IOR.PROD_TYPE_ID = PT.PROD_TYPE_ID) OR (ncco.PROD_TYPE_ID = PT.PROD_TYPE_ID))
	LEFT JOIN dbo.LK_ORDR_TYPE OT WITH (NOLOCK) ON FO.ORDR_TYPE_CD = OT.FSA_ORDR_TYPE_CD
	LEFT JOIN dbo.LK_ORDR_TYPE OTI WITH (NOLOCK) ON ((IOR.ORDR_TYPE_ID = OTI.ORDR_TYPE_ID) OR (ncco.ORDR_TYPE_ID = OTI.ORDR_TYPE_ID))
	LEFT JOIN dbo.LK_ORDR_SUB_TYPE OST WITH (NOLOCK) ON OST.ORDR_SUB_TYPE_CD = FO.ORDR_SUB_TYPE_CD
	LEFT JOIN dbo.LK_ORDR_STUS	los WITH (NOLOCK) ON od.ORDR_STUS_ID = los.ORDR_STUS_ID	
	WHERE OD.H5_FOLDR_ID = @H5FolderID --AND OD.ORDR_CAT_ID = 2
		AND NOT EXISTS
			(
				SELECT 'X'
					FROM	dbo.IPL_ORDR ipl WITH (NOLOCK)
					WHERE	od.ORDR_ID		=	ipl.ORDR_ID	
						AND	ipl.ORDR_STUS_ID =	20
			)
	ORDER BY OD.ORDR_ID DESC
END TRY
BEGIN CATCH
	EXEC [dbo].[insertErrorInfo]
END CATCH
END
